package com.fzm.mall.server.front.order.service;

import com.fzm.mall.server.front.order.model.Pay;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.order.model.po.PayRestVO;

/**
 * <p>
 * 支付订单结果表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-08
 */
public interface IPayService extends IService<Pay> {

    Pay getByPidAndUid(String pid, String uid);

    int pay(String uid, String pid);

    Pay getByPid(String message);

    int payDeposit(String uid, String pid);

    int payRest(String uid, PayRestVO pid);

    String getGoodsName(Pay payId);
}
